DM(3)

PACKAGE
dm - Routines to manage events on (file) descriptors

PURPOSE
These routines are meant to provide a generic and simple to use descriptor management facility (ie. event processing on pipes, connections and terminals). NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

dm_register_managers
    Register the managers.

dm_manage
    Manage a file descriptor for events.

dm_unmanage
    Terminate the management of a file descriptor for activity.

dm_native_setup
    Setup descriptor management using native implementation.

dm_native_poll
    Poll all managed descriptors for any activity.

dm_native_clear_activity_counter
    Clear the idle counter.

dm_native_get_activity_count
    Get the current activity count.

dm_native_clear_idle_timer
    Clear the idle timer.

dm_native_get_idle_time
    Get the idle time in microseconds.

dm_native_wait_input
    Block waiting for input on a file descriptor.

dm_PROTO_input_func
    Input event callback.

dm_PROTO_close_func
    Close event callback.

dm_PROTO_output_func
    Output event callback.

dm_PROTO_exception_func
    Exception event callback.

dm_PROTO_inode_write_func
    Inode write event callback.

TABLE dm_EVENTS
List of event types
Name Function Prototype Meaning
KARMA_FD_EVENT_END End of varargs list
KARMA_FD_EVENT_INPUT <-dm_PROTO_input_func->
KARMA_FD_EVENT_OUTPUT <-dm_PROTO_output_func->
KARMA_FD_EVENT_EXCEPTION <-dm_PROTO_exception_func->
KARMA_FD_EVENT_CLOSE <-dm_PROTO_close_func->
KARMA_FD_EVENT_INODE_WRITE <-dm_PROTO_inode_write_func->

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/